List offers
GET /api/v1/orderbook
string
For example
wise, paypal, moneygram.string
ISO 4217 code.
string
onramp (users buy USDC) or offramp (users sell USDC).string
Smallest order the offer must accept, in USDC.
string
Largest order the offer must accept, in USDC.
string
The LP’s Stellar address.
string
onramp or offramp.string
Free escrow balance.
string
Balance locked to open orders.
string[]
Rails the LP has terms for.
object
Public payment handles per rail, if the LP publishes any.
number
How the rail’s payments are verified.
number
Protocol fee in basis points.
string
Fiat per 1 USDC.
string
ISO 4217 code.
string
Smallest order, USDC.
string
Largest order, USDC.
number
number
string
Depth
GET /api/v1/orderbook/summary
string
string
number
object[]
rail, availableUsdc and offerCount per rail.One provider
GET /api/v1/providers/{address}
string
string
string
number
number
string[]
number
One order
GET /api/v1/intents/{id}
string
The order ID (intent hash).
string
The taker.
string
The depositor.
string
string
string
string
string
string
active, fulfilled, cancelled or expired.number
string
string
string
Set once the order settles on a claim.
string
The settlement transaction.
Live updates
A WebSocket stream sends{ "channel": "orderbook", "op": "add" | "update" | "remove", "entry": <offer> } and { "channel": "intent", "intent": <order> } messages.